This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 214749 - hal crashes on gnome-power-manager startup
hal crashes on gnome-power-manager startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-09 04:12 EST by Austin Foxley
Modified: 2013-03-05 22:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 12:21:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Ouput from "bug buddy" after crash on login (9.73 KB, text/plain)
2006-11-10 03:45 EST, Joachim Frieben
no flags Details
Log report for gnome-power-manager crash (7.35 KB, text/plain)
2006-11-13 09:57 EST, Carlos "casep" Sepulveda
no flags Details

  None (edit)
Description Austin Foxley 2006-11-09 04:12:27 EST
Description of problem:
The hal daemon crashes when gnome-power-manager starts. This also crashes
gnome-power-manager and produces a bug buddy screen with a dump for that
application. (Which I will attach if it would be useful)

Version-Release number of selected component (if applicable):
hal-0.5.8.1-4.fc6
gnome-power-manager-2.17.2.1-1.fc7

How reproducible:
Start hal, then start gnome-power-manager. I get this when just turning on my
machine and logging in.

Additional info:
Please let me know what else you need to diagnose
Comment 1 Joachim Frieben 2006-11-10 03:45:48 EST
Created attachment 140869 [details]
Ouput from "bug buddy" after crash on login

The same here. Versions as above plus "kernel-2.6.18-1.2835.fc6".
Comment 2 Carlos "casep" Sepulveda 2006-11-13 09:57:52 EST
Created attachment 141051 [details]
Log report for gnome-power-manager crash
Comment 3 Carlos "casep" Sepulveda 2006-11-13 09:59:12 EST
Also happens with kernel-2.6.18-1.2784.fc6 and hal-0.5.8.1-4.fc6
Comment 4 Joachim Frieben 2006-11-13 14:09:10 EST
I have updated the "FC" package to version 0.5.9. Everything works fine
now. I can send them to interested users [or attach them here (?)].
Comment 5 Joachim Frieben 2006-11-13 15:51:38 EST
You can also grab equivalent ones at R. Hughes' repository:

   http://people.freedesktop.org/~hughsient/fedora/6/i386/

But in this case, you will also need his "PolicyKit-0.2-0.20061111"
package.
Comment 6 Austin Foxley 2006-11-13 22:03:29 EST
Problem confirmed fixed for me in:
hal-0.5.9-0.20061111.hughsie6
gnome-power-manager-2.17.3-1.20061111.hughsie6
Comment 7 Joachim Frieben 2006-11-14 06:27:37 EST
Updating "gnome-power-manager" is not necessary. Everything works nicely
after updating the "hal" package.
Comment 8 Carlos "casep" Sepulveda 2006-11-17 09:27:02 EST
Everything works just fine with
hal 0.5.8.1-6.fc7
kernel 2.6.18-1.2849.fc6
gnome-power-manager 2.17.2.1-1.fc7
Comment 9 Carlos "casep" Sepulveda 2006-11-17 09:27:26 EST
Everything works just fine with
hal 0.5.8.1-6.fc7
kernel 2.6.18-1.2849.fc6
gnome-power-manager 2.17.2.1-1.fc7

Note You need to log in before you can comment on or make changes to this bug.